<html>

<head>
<title>WHOIS.ru - РЕЗУЛЬТАТ</title>
<LINK href="style.css" type=text/css rel=stylesheet>
</head>

<body bgcolor="#FFFFFF" link="#0000FF" vlink="#800080" alink="#FF0000">
<center>
<table border="0" cellpadding="0" cellspacing="0" width="400" background="back.gif"><tr><td>
<img src="whois.gif"><br>
<?PHP
$error = True;
/////////////////////////////////////////////////
// DARKside studio 2002
/////////////////////////////////////////////////

/////////////////////////////////////////////////
// Модуль определения занятости домена и вывода
// информациии о владельце...
/////////////////////////////////////////////////

if ($HTTP_POST_VARS['B1'] == "Whois") {

    if ($HTTP_POST_VARS['T1'] == "") {
        $msg = "Вы не указали домен на предыдущей странице.";
    } else {
// добавляем окончание к имени домена
        $adr = $HTTP_POST_VARS['T1'];
        $adr .= $HTTP_POST_VARS['D1'];
// формируем имя WHOIS сервера по окончанию домена
        if ($HTTP_POST_VARS['D1'] == ".ru") {
            $domain = "whois.ripn.net";
        }
        if ($HTTP_POST_VARS['D1'] == ".com.ru") {
            $domain = "whois.ripn.net";
        }
        if ($HTTP_POST_VARS['D1'] == ".net.ru") {
            $domain = "whois.ripn.net";
        }
        if ($HTTP_POST_VARS['D1'] == ".spb.ru") {
            $domain = "whois.ripn.net";
        }
        if ($HTTP_POST_VARS['D1'] == ".com") {
            $domain = "whois.networksolutions.com";
        }
        if ($HTTP_POST_VARS['D1'] == ".net") {
            $domain = "whois.networksolutions.com";
        }
        if ($HTTP_POST_VARS['D1'] == ".org") {
            $domain = "whois.networksolutions.com";
        }
        if ($HTTP_POST_VARS['D1'] == ".edu") {
            $domain = "whois.networksolutions.com";
        }
        if ($HTTP_POST_VARS['D1'] == ".info") {
            $domain = "whois.networksolutions.com";
        }
// присваиваем ответу и ошибкам нулевое значение
        $error = False;
        $reply = "";
// подключаемя к серверу
        $fp = fsockopen ($domain, "43", $errno, $errstr, 60);
        if (!$fp) {   
// если ошибка
            $reply = "$errstr ($errno)<br>\n";
        } else {
// если нет ошибки
            fputs ($fp, $adr."\r\n");
            while (!feof($fp)) {
// обрабатываем запрос для вывода на экран
                $tmp_reply = fgets ($fp,128);
                $tmp_reply = str_replace("\r", "", $tmp_reply);
                $tmp_reply = str_replace("\n", "<br>\n", $tmp_reply);
                $tmp_reply = str_replace("  ", "&nbsp;&nbsp;", $tmp_reply);
                $tmp_reply = str_replace("% NOTE:", "<b>К сведению пользователя:</b>", $tmp_reply);
                $tmp_reply = str_replace("% Use of any automated high volume processes that", "<i> Использование этой информации в целях, противоре-", $tmp_reply);
                $tmp_reply = str_replace("% apply&nbsp;&nbsp;to the RIPN Whois Service is prohibited.", "чащих законодательству РФ - преследуются по закону!!!</i>", $tmp_reply);
                $tmp_reply = str_replace("% apply to the RIPN Whois Service is prohibited.", "чащих законодательству РФ - преследуются по закону!!!</i>", $tmp_reply);
                $tmp_reply = str_replace("The Data in Network Solutions' WHOIS database is provided by Network", "<b>К сведению пользователя:</b>", $tmp_reply);
                $tmp_reply = str_replace("Solutions for information purposes, and to assist persons in obtaining", "<i> Использование этой информации в целях, противоре-", $tmp_reply);
                $tmp_reply = str_replace("information about or related to a domain name registration record.", "чащих законодательству РФ - преследуются по закону!!!</i>", $tmp_reply);
                $tmp_reply = str_replace("Network Solutions does not guarantee its accuracy.&nbsp;&nbsp;By submitting a<br>", "", $tmp_reply);
                $tmp_reply = str_replace("WHOIS query, you agree that you will use this Data only for lawful<br>", "", $tmp_reply);
                $tmp_reply = str_replace("purposes and that, under no circumstances will you use this Data to:<br>", "", $tmp_reply);
                $tmp_reply = str_replace("(1) allow, enable, or otherwise support the transmission of mass<br>", "", $tmp_reply);
                $tmp_reply = str_replace("unsolicited, commercial advertising or solicitations via e-mail<br>", "", $tmp_reply);
                $tmp_reply = str_replace("(spam); or&nbsp;&nbsp;(2) enable high volume, automated, electronic processes<br>", "", $tmp_reply);
                $tmp_reply = str_replace("that apply to Network Solutions (or its systems).&nbsp;&nbsp;Network Solutions<br>", "", $tmp_reply);
                $tmp_reply = str_replace("reserves the right to modify these terms at any time.&nbsp;&nbsp;By submitting<br>", "", $tmp_reply);
                $tmp_reply = str_replace("this query, you agree to abide by this policy.<br>", "", $tmp_reply);

                if (substr($reply, 0, 1) == " ") {
                    $tmp_reply = substr_replace($tmp_reply, "&nbsp;", 0, 1);
                }
// присваиваим ответу промежуточное значение
                $reply .= $tmp_reply;
            }
// отключаемся от сервера
            fclose ($fp);
// присваиваим ответу окончательное значение
            $reply = "Whois - сервер ответил на запрос <strong>".$adr."</strong>: <br><br>\n".$reply;
        }
    }
}

/////////////////////////////////////////////////
// Модуль определения занятости IP и вывода
// информациии о владельце...
/////////////////////////////////////////////////

if ($HTTP_POST_VARS['B1'] == "Whois IP") {

    if ($HTTP_POST_VARS['T1'] == "") {
        $msg = "Вы не указали домен на предыдущей странице.";
    } else {
// узнаем имя домена
        $adr = gethostbyaddr($HTTP_POST_VARS['T1']);
// формируем имя WHOIS сервера по окончанию домена
        if ($HTTP_POST_VARS['D1'] == "Россия") {
            $domain = "whois.ripn.net";
        }
        if ($HTTP_POST_VARS['D1'] == "Заграница") {
            $domain = "whois.networksolutions.com";
        }
// присваиваем ответу и ошибкам нулевое значение
        $error = False;
        $reply = "";
// подключаемя к серверу
        $fp = fsockopen ($domain, "43", $errno, $errstr, 60);
        if (!$fp) {   
// если ошибка
            $reply = "$errstr ($errno)<br>\n";
        } else {
// если нет ошибки
            fputs ($fp, $adr."\r\n");
            while (!feof($fp)) {
// обрабатываем запрос для вывода на экран
                $tmp_reply = fgets ($fp,128);
                $tmp_reply = str_replace("\r", "", $tmp_reply);
                $tmp_reply = str_replace("\n", "<br>\n", $tmp_reply);
                $tmp_reply = str_replace("  ", "&nbsp;&nbsp;", $tmp_reply);
                $tmp_reply = str_replace("% NOTE:", "<b>К сведению пользователя:</b>", $tmp_reply);
                $tmp_reply = str_replace("% Use of any automated high volume processes that", "<i> Использование этой информации в целях, противоре-", $tmp_reply);
                $tmp_reply = str_replace("% apply&nbsp;&nbsp;to the RIPN Whois Service is prohibited.", "чащих законодательству РФ - преследуются по закону!!!</i>", $tmp_reply);
                $tmp_reply = str_replace("% apply to the RIPN Whois Service is prohibited.", "чащих законодательству РФ - преследуются по закону!!!</i>", $tmp_reply);
                $tmp_reply = str_replace("The Data in Network Solutions' WHOIS database is provided by Network", "<b>К сведению пользователя:</b>", $tmp_reply);
                $tmp_reply = str_replace("Solutions for information purposes, and to assist persons in obtaining", "<i> Использование этой информации в целях, противоре-", $tmp_reply);
                $tmp_reply = str_replace("information about or related to a domain name registration record.", "чащих законодательству РФ - преследуются по закону!!!</i>", $tmp_reply);
                $tmp_reply = str_replace("Network Solutions does not guarantee its accuracy.&nbsp;&nbsp;By submitting a<br>", "", $tmp_reply);
                $tmp_reply = str_replace("WHOIS query, you agree that you will use this Data only for lawful<br>", "", $tmp_reply);
                $tmp_reply = str_replace("purposes and that, under no circumstances will you use this Data to:<br>", "", $tmp_reply);
                $tmp_reply = str_replace("(1) allow, enable, or otherwise support the transmission of mass<br>", "", $tmp_reply);
                $tmp_reply = str_replace("unsolicited, commercial advertising or solicitations via e-mail<br>", "", $tmp_reply);
                $tmp_reply = str_replace("(spam); or&nbsp;&nbsp;(2) enable high volume, automated, electronic processes<br>", "", $tmp_reply);
                $tmp_reply = str_replace("that apply to Network Solutions (or its systems).&nbsp;&nbsp;Network Solutions<br>", "", $tmp_reply);
                $tmp_reply = str_replace("reserves the right to modify these terms at any time.&nbsp;&nbsp;By submitting<br>", "", $tmp_reply);
                $tmp_reply = str_replace("this query, you agree to abide by this policy.<br>", "", $tmp_reply);

                if (substr($reply, 0, 1) == " ") {
                    $tmp_reply = substr_replace($tmp_reply, "&nbsp;", 0, 1);
                }
// присваиваим ответу промежуточное значение
                $reply .= $tmp_reply;
            }
// отключаемся от сервера
            fclose ($fp);
// присваиваим ответу окончательное значение
            $reply = "Whois - сервер ответил на запрос <strong>".$HTTP_POST_VARS['T1']."(домен:".$adr.")</strong>: <br><br>\n".$reply;
        }
    }

}

/////////////////////////////////////////////////
// Модуль определения IP адресса по домену
/////////////////////////////////////////////////

if ($HTTP_POST_VARS['B1'] == "Узнать IP") {
    if ($HTTP_POST_VARS['T1'] == "") {
// если ошибка
        $msg = "Вы не указали домен на предыдущей странице.";
    } else {
// если нет ошибки
        $error = False;
// формируем ответ
        $reply = "IP адрес для домена <strong>".$HTTP_POST_VARS['T1']."</strong>:<br>".gethostbyname($HTTP_POST_VARS['T1']);
    }
}

/////////////////////////////////////////////////
// Модуль определения домена по IP адрессу
/////////////////////////////////////////////////

if ($HTTP_POST_VARS['B1'] == "Узнать Домен") {
    if ($HTTP_POST_VARS['T1'] == "") {
// если ошибка
        $msg = "Вы не указали IP на предыдущей странице.";
    } else {
// если нет ошибки
        $error = False;
// формируем ответ
        $reply = "Домен для IP адресса <strong>".$HTTP_POST_VARS['T1']."</strong>:<br>".gethostbyaddr($HTTP_POST_VARS['T1']);
    }
}
// если ошибка
    if ($error) {
        echo "<p><font face='Arial' size='2'>".$msg."</font></p>\n";
        echo "<p><font face='Arial' size='2'>Нажмите <A HREF=JavaScript:history.back()>сюда</a> чтобы вернуть на предыдущею страницу.</font></p>\n";
    } else {
	echo "<p><font face='Arial' size='2'>".$reply."</font></p>\n";
    }
// формируем низ
?>
<a href="http://ds.hoha.ru"><img src="darkside.gif" border="0"></a>
</form>
<center>
<A HREF="http://order.realhost.ru/order/click.php?amid=1006084805&apid=15" target="_top"><IMG SRC="http://www.realhost.ru/partners/b120x60_1.gif" BORDER="0" ALT="Система хостинга — RealHOST"></A>
<a href="mailto:koluchii@yadnex.ru"><img src="rek.gif" border="0" alt="По вопросам размещения рекламы пишите на koluchii@yandex.ru"></a>

<!-- ExAccess code BEGIN -->
<script>
// <!--
var RndValue = Math.round(Math.random() * 10000000000);
document.write('<iframe src="http://static.exaccess.ru/asp/static.asp?id_d=4606'
 + '&rnd=' + RndValue + '" frameborder=0 vspace=0 hspace=0 width=120 height=60 marginwidth=0  marginheight=0 scrolling=no>'
 + '<ilayer width=120 height=60 src="http://static.exaccess.ru/asp/static.asp?id_d=4606'
 + '&rnd=' + RndValue + '"></ilayer></iframe>')
// -->
</script>
<noscript>
<iframe src="http://static.exaccess.ru/asp/static.asp?id_d=4606&rnd=548390" frameborder=0 vspace=0 hspace=0 width=120 height=60 marginwidth=0  marginheight=0 scrolling=no><ilayer width=120 height=60 src="http://static.exaccess.ru/asp/static.asp?id_d=4606&rnd=548390"></ilayer></iframe>
</noscript>
<!-- ExAccess code END -->

<a href="mailto:koluchii@yadnex.ru"><img src="rek.gif" border="0" alt="По вопросам размещения рекламы пишите на koluchii@yandex.ru"></a>
<A HREF="http://order.tophost.ru/order/click.php?amid=1006084805&apid=12" target="_top"><IMG SRC="http://tophost.ru/ban/4.gif" BORDER="0" ALT="TopHOST - Всеь Рунет обполжешь - Лучше места не найдешь! Хостинг от 8,95$ в месяц!"></A>
</center>
<td><tr>
</table>
<!-- ile engine, v1.0 - Info Link Exchange - BannerCodeStart -->

<p align="center"><script LANGUAGE="JavaScript"><!--
random = parseInt(Math.random()*10000)
banner = '<iframe src=\"http://www.infolinkexchange.ru/cgi-bin/engine.cgi?'
banner += 'a252;' + random + ';1;\" frameborder=0 width=468 height=60 marginwidth=0 marginheight=0 scrolling=no >'
banner += '<A href=\"http://www.infolinkexchange.ru/go.php3?'
banner += 'id=a252&pg='+escape(window.location.href)+'-' + random + '\"><IMG alt=\"Info Link Exchange\" border=0 '
banner += 'width=468 height=60 src=\"http://www.infolinkexchange.ru/cgi-bin/engine.cgi?'
banner += 'a252;'+escape(window.location.href)+'-' + random + ';0;\" border=0></A></iframe><br>'
banner += '<a href=\"http://www.infolinkexchange.ru\"><font size=\"2\">Info Link Exchange</font></a>'
document.write(banner)
// --></script> <NOSCRIPT><IFRAME src="http://www.infolinkexchange.ru/cgi-bin/engine.cgi?a252;1;1;" frameborder="0" width="468" height="60" marginwidth="0" marginheight="0" scrolling="no"> <a
href="http://www.infolinkexchange.ru/go.php3?id=a252&pg=1"><img
alt="Info Link Exchange" border="0" width="468" height="60"
src="http://www.infolinkexchange.ru/cgi-bin/engine.cgi?a252;1;0;"></a> </IFRAME><br>
<a href="http://www.infolinkexchange.ru"><font size="2">Info Link Exchange</font></a></NOSCRIPT></p>

<!-- ile engine, v1.0 - Info Link Exchange - BannerCodeEnd -->

</center>
</body>
</html>